
QGIS Application - Bug report #11597

XY columns are not exported to csv

2014-11-07 05:39 PM - Minoru Akagi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19856

Description

I saved a point layer (shapefile) to a csv file with AS_XY in the GEOMETRY option selected. The output csv file has no X and Y columns.

It has only attribute values.

QGIS 2.4 correctly exports a csv file with XY columns.

Related issues:

Related to QGIS Application - Bug report # 10584: Saving as SpatiaLite fails ... Closed 2014-06-14

Duplicated by QGIS Application - Bug report # 11654: qgis 2.6/master always s... Closed 2014-11-16

Duplicated by QGIS Application - Bug report # 12796: Export Spatialite point ... Closed 2015-05-21

Associated revisions

Revision 11c2bae7 - 2014-11-11 10:29 AM - Jürgen Fischer

vector file writer: scan shape file geometries instead of just assuming multi geometry types (followup 528c4cacb, refs #10584, fixes #11542, fixes #11597)

Revision 881e25ba - 2014-11-18 01:41 AM - Jürgen Fischer

vector file writer: scan shape file geometries instead of just assuming multi geometry types (followup 528c4cacb, refs #10584, fixes #11542, fixes #11597)

History

#1 - 2014-11-07 05:51 PM - Minoru Akagi

AS_WKT option still works, but the output is different from that of 2.4.

2.6:

WKT,SRTM3,

"MULTIPOINT (138.83283895571475 35.504192505578239)",758.00000

"MULTIPOINT (138.49187291552053 35.89309997368553)",1449.00000

"MULTIPOINT (137.49806776365492 36.149096932129758)",1499.00000

2.4:

WKT,SRTM3,

"POINT (138.83283895571475 35.504192505578239)",758.00000
"POINT (138.49187291552053 35.89309997368553)",1449.00000

"POINT (137.49806776365492 36.149096932129758)",1499.00000

#2 - 2014-11-08 05:48 AM - Giovanni Manghi

- Target version changed from Version 2.6 to Version 2.8

confirmed here.

#3 - 2014-11-11 01:31 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"11c2bae74079ab008d7e7fb9233d714409aff008".

Files

xyz_srtm3.zip 2.96 KB 2014-11-07 Minoru Akagi
